/*
|------------------------------------------------------------------------------------------
|------------------------------------------------------------------------------------------
| File Name			  : MicroBoltReadWriteDigitalIO.c																					
| Author			    : Micromint, Inc.						
| Copyright       : Copyright  2005, Micromint, Inc.																	
| Creation Date		: 4/2/05																							
| Version			    : 1.00																																												
| Spaces per tab	:	2																									
| Description		  : Main C file																																									 
| Revision			  :	Initial																																																						
|------------------------------------------------------------------------------------------
|------------------------------------------------------------------------------------------
*/

/*
|----------------------------------------------------
|     Includes
|----------------------------------------------------
*/

#include <ARM/philips/lpc210x.h>
#include <arm_macros.h>

#include "MicroBoltReadWriteDigitalIO.h"

/*
|------------------------------------------------------------------------------------------
|     Function        :   main
|     Inputs          :   None
|     Outputs         :   None
|     Purpose         :   Main function for system
|     Author          :   Micromint, Inc.
|------------------------------------------------------------------------------------------
*/

void main(void)
  {

/*
|----------------------------------------------------
|     MicroBolt hardware setup 
|----------------------------------------------------
*/

  __DISABLE_INTERRUPT();                        // Disable all interrupts

  SCB_PLLCFG |= 0x23;				 	   		            // Turn on PLL, set to 59 MHz (0x03 is multiply value of 4)
  SCB_PLLCON |= 0x03;
  SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy for PLL
  SCB_PLLFEED = 0x55; 

  PCB_PINSEL0=0x00000000;                       // JTAG is via secondary port
  PCB_PINSEL1=0x55400000;
  GPIO_IODIR=(0x00000000<<16)|
	     0x00000000;
 
  GPIO_IOCLR=0xffffffff;
  GPIO_IOSET=(0x00000000<<16)| 
            0x00000000;  

  GPIO_IODIR |= MICROBOLT_LED;                  // Setup MicroBolt LED as output

/*
|----------------------------------------------------
|     Start of application
|----------------------------------------------------
*/

  while(1)                                          // Do this forever
    {
    if (GPIO_IOPIN & P0_14)                         // P0.14 input line high?
      {
      GPIO_IOCLR = MICROBOLT_LED;                   // MicroBolt LED Off           
      }
    else
      {
      GPIO_IOSET = MICROBOLT_LED;                   // MicroBolt LED On  
      }
    }
  }  

