	.dbfile C:\iccv7arm\MI533D~1\MI0E2E~1\MicroBoltReadWriteDigitalIO.c
	AREA	"C$$code", CODE, READONLY
	EXPORT _main
	.dbfunc e main _main fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_main:
	.dbline -1
	.dbline 38
; /*
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; | File Name			  : MicroBoltReadWriteDigitalIO.c																					
; | Author			    : Micromint, Inc.						
; | Copyright       : Copyright  2005, Micromint, Inc.																	
; | Creation Date		: 4/2/05																							
; | Version			    : 1.00																																												
; | Spaces per tab	:	2																									
; | Description		  : Main C file																																									 
; | Revision			  :	Initial																																																						
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; */
; 
; /*
; |----------------------------------------------------
; |     Includes
; |----------------------------------------------------
; */
; 
; #include <ARM/philips/lpc210x.h>
; #include <arm_macros.h>
; 
; #include "MicroBoltReadWriteDigitalIO.h"
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   main
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Main function for system
; |     Author          :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; void main(void)
;   {
	.dbline 46
; 
; /*
; |----------------------------------------------------
; |     MicroBolt hardware setup 
; |----------------------------------------------------
; */
; 
;   __DISABLE_INTERRUPT();                        // Disable all interrupts
	mrs R12,cpsr
	orr R12,R12,#0x80
	msr cpsr_c,R12
	
	.dbline 48
; 
;   SCB_PLLCFG |= 0x23;				 	   		            // Turn on PLL, set to 59 MHz (0x03 is multiply value of 4)
	ldr R0,LIT_main+0
	ldr R1,[R0,#0]
	orr R1,R1,#35
	str R1,[R0,#0]
	.dbline 49
;   SCB_PLLCON |= 0x03;
	ldr R0,LIT_main+4
	ldr R1,[R0,#0]
	orr R1,R1,#3
	str R1,[R0,#0]
	.dbline 50
;   SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy for PLL
	mov R0,#170
	ldr R1,LIT_main+8
	str R0,[R1,#0]
	.dbline 51
;   SCB_PLLFEED = 0x55; 
	mov R0,#85
	ldr R1,LIT_main+8
	str R0,[R1,#0]
	.dbline 53
; 
;   PCB_PINSEL0=0x00000000;                       // JTAG is via secondary port
	mov R0,#0
	ldr R1,LIT_main+12
	str R0,[R1,#0]
	.dbline 54
;   PCB_PINSEL1=0x55400000;
	ldr R0,LIT_main+16
	ldr R1,LIT_main+20
	str R0,[R1,#0]
	.dbline 55
;   GPIO_IODIR=(0x00000000<<16)|
	mov R0,#0
	ldr R1,LIT_main+24
	str R0,[R1,#0]
	.dbline 58
; 	     0x00000000;
;  
;   GPIO_IOCLR=0xffffffff;
	mvn R0,#0
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 59
;   GPIO_IOSET=(0x00000000<<16)| 
	mov R0,#0
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 62
;             0x00000000;  
; 
;   GPIO_IODIR |= MICROBOLT_LED;                  // Setup MicroBolt LED as output
	ldr R0,LIT_main+24
	ldr R1,[R0,#0]
	orr R1,R1,#4194304
	str R1,[R0,#0]
	b L3
L2:
	.dbline 71
; 
; /*
; |----------------------------------------------------
; |     Start of application
; |----------------------------------------------------
; */
; 
;   while(1)                                          // Do this forever
;     {
	.dbline 72
;     if (GPIO_IOPIN & P0_14)                         // P0.14 input line high?
	ldr R0,LIT_main+36
	ldr R0,[R0,#0]
	tst R0,#16384
	beq L5
	.dbline 73
;       {
	.dbline 74
;       GPIO_IOCLR = MICROBOLT_LED;                   // MicroBolt LED Off           
	mov R0,#4194304
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 75
;       }
	b L6
L5:
	.dbline 77
;     else
;       {
	.dbline 78
;       GPIO_IOSET = MICROBOLT_LED;                   // MicroBolt LED On  
	mov R0,#4194304
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 79
;       }
L6:
	.dbline 80
L3:
	.dbline 70
	b L2
X0:
	.dbline -2
L1:
	mov R15,R14
	.dbline 0 ; func end
LIT_main:
	DCD -534790012
	DCD -534790016
	DCD -534790004
	DCD -536690688
	DCD 1430257664
	DCD -536690684
	DCD -536707064
	DCD -536707060
	DCD -536707068
	DCD -536707072
	.dbend
	END
